# Generated by Django 5.1.4 on 2025-01-29 12:28

import django.db.models.deletion
import oauth2.encoder
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="UserData",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                (
                    "provider",
                    models.CharField(
                        choices=[
                            ("GOOGLE", "Google"),
                            ("GITHUB", "GitHub"),
                            ("FACEBOOK", "Facebook"),
                        ],
                        db_index=True,
                        max_length=20,
                        verbose_name="Provider",
                    ),
                ),
                (
                    "uid",
                    models.CharField(
                        db_index=True, max_length=100, verbose_name="Provider ID"
                    ),
                ),
                (
                    "extra_data",
                    models.JSONField(
                        blank=True,
                        db_index=True,
                        encoder=oauth2.encoder.PrettyJSONEncoder,
                        null=True,
                        verbose_name="Extra data",
                    ),
                ),
                (
                    "user",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="data",
                        to=settings.AUTH_USER_MODEL,
                        verbose_name="User",
                    ),
                ),
            ],
            options={
                "verbose_name": "User data",
                "verbose_name_plural": "User data",
                "ordering": ["-created_at"],
            },
        ),
    ]
